<?php
/**
* @package Joomla
* @subpackage p8Twitter
* @copyright Copyright (C) 2005 Rob Clayburn. All rights reserved.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
*/


defined( '_JEXEC' ) or die( 'Restricted access' );

if (version_compare( phpversion(), '5.0.0', '<')) {
    echo 'Sorry you are using ' .  phpversion() . ". You need to have PHP5 installed to run p8Twitter\n";
    return;
}

// Set the table directory
JTable::addIncludePath( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_p8twitter'.DS.'tables' );
$controllerName = JRequest::getCmd( 'c', 'home' );

$task = JRequest::getCmd('task');
require_once( JPATH_COMPONENT.DS.'controllers'.DS.$controllerName.'.php' );
JHTML::stylesheet( 'headings.css', 'administrator/components/com_p8twitter/' );

$config = array();

$controllerName = 'p8TwitterController'.$controllerName;

// Create the controller
$controller = new $controllerName( $config );

// Perform the Request task
$controller->execute( $task );

// Redirect if set by the controller
$controller->redirect();

?>